Skip site navigation (1)Skip section navigation (2)
Date:      Sat, 2 Dec 2017 20:44:28 +0000 (UTC)
From:      "Jason W. Bacon" <jwb@FreeBSD.org>
To:        ports-committers@freebsd.org, svn-ports-all@freebsd.org, svn-ports-head@freebsd.org
Subject:   svn commit: r455382 - in head/biology: . kallisto kallisto/files
Message-ID:  <201712022044.vB2KiS2b051346@repo.freebsd.org>

next in thread | raw e-mail | index | archive | help
Author: jwb
Date: Sat Dec  2 20:44:28 2017
New Revision: 455382
URL: https://svnweb.freebsd.org/changeset/ports/455382

Log:
  [new port] biology/kallisto: Quantify abundances of transcripts from RNA-Seq data
  
  Approved by: jrm (mentor)
  Differential Revision:  https://reviews.freebsd.org/D13328

Added:
  head/biology/kallisto/
  head/biology/kallisto/Makefile   (contents, props changed)
  head/biology/kallisto/distinfo   (contents, props changed)
  head/biology/kallisto/files/
  head/biology/kallisto/files/kallisto-test.in   (contents, props changed)
  head/biology/kallisto/pkg-descr   (contents, props changed)
Modified:
  head/biology/Makefile

Modified: head/biology/Makefile
==============================================================================
--- head/biology/Makefile	Sat Dec  2 18:12:09 2017	(r455381)
+++ head/biology/Makefile	Sat Dec  2 20:44:28 2017	(r455382)
@@ -41,6 +41,7 @@
     SUBDIR += iqtree
     SUBDIR += jalview
     SUBDIR += jellyfish
+    SUBDIR += kallisto
     SUBDIR += lagan
     SUBDIR += lamarc
     SUBDIR += libgtextutils

Added: head/biology/kallisto/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/kallisto/Makefile	Sat Dec  2 20:44:28 2017	(r455382)
@@ -0,0 +1,33 @@
+# $FreeBSD$
+
+PORTNAME=	kallisto
+DISTVERSIONPREFIX=	v
+DISTVERSION=	0.43.1
+CATEGORIES=	biology
+
+MAINTAINER=	jwb@FreeBSD.org
+COMMENT=	Quantify abundances of transcripts from RNA-Seq data
+
+LICENSE=	BSD2CLAUSE
+LICENSE_FILE=	${WRKSRC}/license.txt
+
+LIB_DEPENDS=	libhdf5.so:science/hdf5 \
+		libsz.so:science/szip
+
+USES=		cmake
+USE_GITHUB=	yes
+GH_ACCOUNT=	pachterlab
+
+SUB_FILES=	kallisto-test
+
+PORTEXAMPLES=	*
+PLIST_FILES=	bin/kallisto
+EXAMPLES_PLIST_FILES=	bin/kallisto-test
+
+OPTIONS_DEFINE=	EXAMPLES
+
+post-install-EXAMPLES-on:
+	${INSTALL_SCRIPT} ${WRKDIR}/kallisto-test ${STAGEDIR}${PREFIX}/bin
+	cd ${WRKSRC}/test && ${COPYTREE_SHARE} . ${STAGEDIR}${EXAMPLESDIR}
+
+.include <bsd.port.mk>

Added: head/biology/kallisto/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/kallisto/distinfo	Sat Dec  2 20:44:28 2017	(r455382)
@@ -0,0 +1,3 @@
+TIMESTAMP = 1512166931
+SHA256 (pachterlab-kallisto-v0.43.1_GH0.tar.gz) = 2164938c2c61c04e338c4c132cf749f56d39e6f0b4c517121bca1fbc218e430e
+SIZE (pachterlab-kallisto-v0.43.1_GH0.tar.gz) = 1067076

Added: head/biology/kallisto/files/kallisto-test.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/kallisto/files/kallisto-test.in	Sat Dec  2 20:44:28 2017	(r455382)
@@ -0,0 +1,48 @@
+#!/bin/sh
+
+##########################################################################
+#   Script description:
+#       
+#   Arguments:
+#       
+#   Returns:
+#       
+#   History:
+#   Date        Name        Modification
+#   2016-03-21  Charlie &   Begin
+##########################################################################
+
+usage()
+{
+    printf "Usage: $0 test-directory\n"
+    exit 1
+}
+
+
+##########################################################################
+#   Main
+##########################################################################
+
+if [ $# != 1 ]; then
+    usage
+fi
+
+dir="$1"
+if [ -e "$dir" ]; then
+    printf "$dir already exists.  Remove it first or choose a different name.\n"
+    exit 1
+fi
+
+cp -iR %%EXAMPLESDIR%% "$dir"
+cd "$dir"
+kallisto index -i transcripts.idx transcripts.fasta.gz
+kallisto quant -i transcripts.idx -o output -b 100 reads_1.fastq.gz reads_2.fastq.gz
+ls -l output
+more output/abundance.tsv
+
+cat << EOM
+
+See https://pachterlab.github.io/kallisto/starting.html for instructions
+on interpreting the output above.
+
+EOM

Added: head/biology/kallisto/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/biology/kallisto/pkg-descr	Sat Dec  2 20:44:28 2017	(r455382)
@@ -0,0 +1,6 @@
+Kallisto is a program for quantifying abundances of transcripts from RNA-Seq
+data, or more generally of target sequences using high-throughput sequencing
+reads. It is based on the novel idea of pseudoalignment for rapidly determining
+the compatibility of reads with targets, without the need for alignment.
+
+WWW: https://pachterlab.github.io/kallisto/about.html



Want to link to this message? Use this URL: <https://mail-archive.FreeBSD.org/cgi/mid.cgi?201712022044.vB2KiS2b051346>